Index: osc_snovis/trunk/obuild/DOS/build_release.bat
===================================================================
--- osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 195)
+++ osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 196)
@@ -9373,11 +9475,26 @@
 IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1294
-IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_gammaray_telescope.exe" GOTO end_if_copy_1295
+IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1309
+IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_gammaray_telescope.exe" GOTO end_if_copy_1310
   COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_gammaray_telescope.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1295
-:end_if_release_1294
+:end_if_copy_1310
+:end_if_release_1309
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1311
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\prog_snova.exe" GOTO end_if_copy_1312
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\prog_snova.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1312
+:end_if_release_1311
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -9388,11 +9505,11 @@
 IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1296
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\prog_snova.exe" GOTO end_if_copy_1297
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1313
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\prog_snova.exe" GOTO end_if_copy_1314
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\prog_snova.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1297
-:end_if_release_1296
+:end_if_copy_1314
+:end_if_release_1313
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -9403,11 +9520,11 @@
 IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1298
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.exe" GOTO end_if_copy_1299
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1315
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.exe" GOTO end_if_copy_1316
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1299
-:end_if_release_1298
+:end_if_copy_1316
+:end_if_release_1315
 
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
